package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFDU8Response {

    @Parameter(name = "INST_PT_KEY")
    Long instPtKey();

    @Parameter(name = "KONT_ADR_KEY")
    Long kontAdrKey();

    @Parameter(name = "KONT_EMAIL_KEY")
    Long kontEmailKey();

    @Parameter(name = "KONT_MOBIL_JINY_KEY")
    Long kontMobilJinyKey();

    @Parameter(name = "KONT_MOBIL_KEY")
    Long kontMobilKey();

    @Parameter(name = "KONT_PEVNA_LINKA_KEY")
    Long kontPevnaLinkaKey();

    @Parameter(name = "NFC_MSISDN_KEY")
    Long nfcMsisdnKey();

    @Parameter(name = "OSOBNIDOKLAD1_KEY")
    Long osobnidoklad1Key();

    @Parameter(name = "OSOBNIDOKLAD2_KEY")
    Long osobnidoklad2Key();

    @Parameter(name = "PODN_ADR_KEY")
    Long podnAdrKey();

    @Parameter(name = "PODN_EMAIL_KEY")
    Long podnEmailKey();

    @Parameter(name = "PODN_MOBIL_JINY_KEY")
    Long podnMobilJinyKey();

    @Parameter(name = "PODN_MOBIL_KEY")
    Long podnMobilKey();

    @Parameter(name = "PODN_PEVNA_LINKA_KEY")
    Long podnPevnaLinkaKey();

    @Parameter(name = "PRIJEM_CistyMesicni_KEY")
    Long pRIJEMCistyMesicniKEY();

    @Parameter(name = "PRIJEM_DomacnostiMesicni_KEY")
    Long pRIJEMDomacnostiMesicniKEY();

    @Parameter(name = "PRIJEM_HrubyRocni_KEY")
    Long pRIJEMHrubyRocniKEY();

    @Parameter(name = "PRIJEM_ZakladDane_KEY")
    Long pRIJEMZakladDaneKEY();

    @Parameter(name = "TRV_ADR_KEY")
    Long trvAdrKey();

    @Parameter(name = "TRV_EMAIL_KEY")
    Long trvEmailKey();

    @Parameter(name = "TRV_MOBIL_JINY_KEY")
    Long trvMobilJinyKey();

    @Parameter(name = "TRV_MOBIL_KEY")
    Long trvMobilKey();

    @Parameter(name = "TRV_PEVNA_LINKA_KEY")
    Long trvPevnaLinkaKey();

    @Parameter(name = "ZAM_ADR_KEY")
    Long zamAdrKey();

    @Parameter(name = "ZAM_MOBIL_KEY")
    Long zamMobilKey();

    @Parameter(name = "ZAM_PEVNALINKA_KEY")
    Long zamPevnalinkaKey();

}